Subject: [bug#40162] [PATCH] gnu: guix-data-service: Update to 0.0.1-19.d12909d.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 21 Mar 2020 22:50:02 +0100

Hi!

Christopher Baines <[email-masked]> skribis:

> These changes support the guix-data-service-backup-database and
> guix-data-service-create-small-backup scripts. These are shell scripts, so
> require coreutils from the build environment at runtime as well as binaries
> from postgresql, ephemeralpg and optionally util-linux (for ionice and
> renice).
>
> * gnu/packages/web.scm (guix-data-service): Update to 0.0.1-19.d12909d.
> [arguments]: Add (ice-9 ftw) and (ice-9 match) to #:modules, change the
> 'install phase to wrap all bin files with the PATH at build time.
> [inputs]: Add util-linux and include ephemeralpg from native-inputs.
> [native-inputs]: Move ephemeralpg to inputs.

[...]

>                    (lambda (file)
> +                    (simple-format (current-error-port)
> +                                   "wrapping: ~A\n"
> +                                   (string-append bin "/" file))
>                      (wrap-program (string-append bin "/" file)
>                        `("PATH" ":" prefix
> -                        (,bin))
> +                        (,bin ,(getenv "PATH")))

If I’m not mistaken, this would keep references to GCC, etc.

What about explicitly listing the things that you list above?

Thanks,
Ludo’.